Skip to main content
Monitoring & Collection/Grafana Dashboards
PUTGrafanaSince 1.0SynchronousAuth Required

UpdateDashboardValidatorConfig

Update the dashboard validator configuration

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • maxPanelsPerDashboardIntegerRequired

    Updated maximum panels per dashboard

    Example: 30

  • canvasWidthIntegerRequired

    Updated canvas width in grid units

    Example: 24

  • maxPanelHeightIntegerRequired

    Updated maximum panel height

    Example: 20

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/api/v1/monitoring/dashboards/validator/config

/api/v1/monitoring/dashboards/validator/config

Operation ID

UpdateDashboardValidatorConfig

Permalink

Request Example

curl -X PUT '{host}/api/v1/monitoring/dashboards/validator/config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"maxPanelsPerDashboard":30,"canvasWidth":24,"maxPanelHeight":20}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history